org.apache.xmlbeans.impl.xb.xsdschema

## Interface SelectorDocument.Selector

- All Superinterfaces:
    Annotated, OpenAttrs, XmlObject, XmlTokenSource
  All Known Implementing Classes:
    SelectorDocumentImpl.SelectorImpl
  Enclosing interface:
    SelectorDocument

      public static interface SelectorDocument.Selector
      extends Annotated

  An XML selector(@http://www.w3.org/2001/XMLSchema). This is a complex type.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `SelectorDocument.Selector.Xpath` An XML xpath(@).

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ElementFactory<SelectorDocument.Selector>` | `Factory`
    `static SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getXpath()` Gets the "xpath" attribute
    `void` | `setXpath(String xpath)` Sets the "xpath" attribute
    `SelectorDocument.Selector.Xpath` | `xgetXpath()` Gets (as xml) the "xpath" attribute
    `void` | `xsetXpath(SelectorDocument.Selector.Xpath xpath)` Sets (as xml) the "xpath" attribute

    - ### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Annotated

      `addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final ElementFactory<SelectorDocument.Selector> Factory

    - #### type

          static final SchemaType type

  - ### Method Detail

    - #### getXpath

          String getXpath()

      Gets the "xpath" attribute

    - #### xgetXpath

          SelectorDocument.Selector.Xpath xgetXpath()

      Gets (as xml) the "xpath" attribute

    - #### setXpath

          void setXpath(String xpath)

      Sets the "xpath" attribute

    - #### xsetXpath

          void xsetXpath(SelectorDocument.Selector.Xpath xpath)

      Sets (as xml) the "xpath" attribute